Package org.springframework.security.web.webauthn.registration

# Class HttpSessionPublicKeyCredentialCreationOptionsRepository

java.lang.Object
org.springframework.security.web.webauthn.registration.HttpSessionPublicKeyCredentialCreationOptionsRepository

All Implemented Interfaces:
  `PublicKeyCredentialCreationOptionsRepository`

public class HttpSessionPublicKeyCredentialCreationOptionsRepository extends Object implements PublicKeyCredentialCreationOptionsRepository

## Constructor Summary

Constructors
Constructor
Description
`HttpSessionPublicKeyCredentialCreationOptionsRepository()`

## Method Summary

Modifier and Type
Method
Description
`PublicKeyCredentialCreationOptions`
`load(jakarta.servlet.http.HttpServletRequest request)`
Gets a saved `PublicKeyCredentialCreationOptions` if it exists, otherwise null.
`void`
`save(jakarta.servlet.http.HttpServletRequest request, jakarta.servlet.http.HttpServletResponse response, PublicKeyCredentialCreationOptions options)`
Saves the provided `PublicKeyCredentialCreationOptions` or clears an existing `PublicKeyCredentialCreationOptions` if `options` is null.
`void`
`setAttrName(String attrName)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### HttpSessionPublicKeyCredentialCreationOptionsRepository

public HttpSessionPublicKeyCredentialCreationOptionsRepository()

## Method Details

### save

public void save(jakarta.servlet.http.HttpServletRequest request, jakarta.servlet.http.HttpServletResponse response, PublicKeyCredentialCreationOptions options)
Description copied from interface: `PublicKeyCredentialCreationOptionsRepository`
Saves the provided `PublicKeyCredentialCreationOptions` or clears an existing `PublicKeyCredentialCreationOptions` if `options` is null.

Specified by:
  `save` in interface `PublicKeyCredentialCreationOptionsRepository`
Parameters:
  `request` - the `HttpServletRequest`
  `response` - the `HttpServletResponse`
  `options` - the `PublicKeyCredentialCreationOptions` to save or null if an existing `PublicKeyCredentialCreationOptions` should be removed.

### load

public PublicKeyCredentialCreationOptions load(jakarta.servlet.http.HttpServletRequest request)
Description copied from interface: `PublicKeyCredentialCreationOptionsRepository`
Gets a saved `PublicKeyCredentialCreationOptions` if it exists, otherwise null.

Specified by:
  `load` in interface `PublicKeyCredentialCreationOptionsRepository`
Parameters:
  `request` - the `HttpServletRequest`
Returns:
  the `PublicKeyCredentialCreationOptions` that was saved, otherwise null.

### setAttrName

public void setAttrName(String attrName)